Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ebay.redlasersdk
Class RedLaserExtras

    java.lang.Object
      com.ebay.redlasersdk.RedLaserExtras

    public class RedLaserExtras

extends java.lang.Object

RedLaserExtras is a class containing several static methods intended to be used outside of a scan session. checkReadyStatus() is the most useful method--call it before starting a BarcodeScanActivity to ensure the activity will run successfully.

Nested Class Summary
`static class` | `RedLaserExtras.RLScannerReadyState` Result codes from the checkReadyStatus method.

Method Summary
`static RedLaserExtras.RLScannerReadyState` | `checkReadyStatus(android.content.Context context)` Checks the license readiness, the availability of the camera, and the minimum API level.
`static java.lang.String` | `getDeviceID(android.content.ContentResolver r)` Developer licenses require devices you wish to use to be registered on redlaser.com.
`static java.lang.String` | `getRedLaserSDKVersion()` Returns the version number of the RedLaser Android SDK.
`static java.util.Set<BarcodeResult>` | `ScanBitmap(android.graphics.Bitmap inputBitmap, android.content.Context context)` Scans the given Bitmap for barcodes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### checkReadyStatus

    public static RedLaserExtras.RLScannerReadyState checkReadyStatus(android.content.Context context)

  Checks the license readiness, the availability of the camera, and the minimum API level. This method is callable outside of the scanner activity, and can be used by apps to determine whether the BarcodeScannerActivity is likely to run successfully.

### getRedLaserSDKVersion

    public static java.lang.String getRedLaserSDKVersion()

  Returns the version number of the RedLaser Android SDK. Callable when the BarcodeScanActivity is not running.

  Returns:
    a String containing the version, as a 3-number field. e.g. "3.3.0"

### getDeviceID

    public static java.lang.String getDeviceID(android.content.ContentResolver r)

  Developer licenses require devices you wish to use to be registered on redlaser.com. Calling this method returns the device ID to be entered on the developer portal at redlaser.com. This is the number that is shown in the home screen of the Sample application. There is a limit to how many devices you can register with a developer license, and developer licenses aren't designed for application deployment. See the pdf documentation and the website for more information.

  Returns:
    The devices' Device ID.

### ScanBitmap

    public static java.util.Set<BarcodeResult> ScanBitmap(android.graphics.Bitmap inputBitmap,
                                                          android.content.Context context)

  Scans the given Bitmap for barcodes. Returns all the barcodes it found, as a Set. The barcodeLocation of returned barcodes will be in the coordinate space of the input Bitmap.

  Returns:
    Returns an empty set if no barcodes are found. Returns NULL if an error is encountered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eBay Inc. All Rights Reserved.